Bitbucket
Authorization
Authorization Request Body
application/json
bitbucketId?string
bitbucketUsername?string
bitbucketEmail?string
Match
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailappPassword?string
apiToken?string
bitbucketWorkspaceName?string
gitProviderId?string
authId*string
Length
1 <= lengthname*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/bitbucket.create" \ -H "Content-Type: application/json" \ -d '{ "authId": "string", "name": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Query Parameters
bitbucketId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/bitbucket.one?bitbucketId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/bitbucket.bitbucketProviders"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Query Parameters
bitbucketId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/bitbucket.getBitbucketRepositories?bitbucketId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Query Parameters
owner*string
repo*string
bitbucketId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/bitbucket.getBitbucketBranches?owner=string&repo=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Request Body
application/json
bitbucketId*string
Length
1 <= lengthbitbucketUsername?string
bitbucketEmail?string
Match
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailworkspaceName?string
apiToken?string
appPassword?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/bitbucket.testConnection" \ -H "Content-Type: application/json" \ -d '{ "bitbucketId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Request Body
application/json
bitbucketId*string
Length
1 <= lengthbitbucketUsername?string
bitbucketEmail?string
Match
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailappPassword?string
apiToken?string
bitbucketWorkspaceName?string
gitProviderId*string
name*string
Length
1 <= lengthorganizationId?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/bitbucket.update" \ -H "Content-Type: application/json" \ -d '{ "bitbucketId": "string", "gitProviderId": "string", "name": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}